import 'package:flutter/material.dart';

class ButtonCircle extends StatelessWidget {
  final double? size;
  final EdgeInsetsGeometry? padding;
  final Widget child;
  final Function? onTap;
  final Color? color;
  final Decoration? decoration;

  const ButtonCircle({
    required this.child,
    Key? key,
    this.size,
    this.padding,
    this.onTap,
    this.color,
    this.decoration,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        if(onTap != null){
          onTap!();
        }
      },
      child: Container(
        width: size ?? 32,
        height: size ?? 32,
        padding: padding,
        decoration: decoration == null
            ? BoxDecoration(
            shape: BoxShape.circle,
            color: color ?? Theme.of(context).primaryColor)
            : decoration,
        child: Center(
          child: child,
        ),
      ),
    );
  }
}
